# This is the automake's playground of our cool build system.
#
# TODO: Make part of it autogenerated based on AC_SUBST() or something.

SHELL = /bin/ksh

TOPPATH    = $(shell cd $(top_builddir) && pwd)
RELPATH    = $(subst $(TOPPATH)/,,$(CURDIR)/)
PATHPREFIX = $(if $(patsubst /%,,.),$(top_builddir)/)
top_srcdir = $(PATHPREFIX).

ifeq (.,.)
srcdir =
else
srcdir = $(top_srcdir)/$(RELPATH)
endif

prefix = /usr/local
exec_prefix = /usr/local

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datarootdir = ${prefix}/share
datadir = ${datarootdir}
sysconfdir = /usr/local/etc/elinks
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${datarootdir}/info
mandir = ${datarootdir}/man
includedir = ${prefix}/include

DESTDIR =


# Support for rebuilding configure and Makefile.config
ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOHEADER = autoheader

# The INSTALL substituted by configure can be either absolute or
# relative to the top build directory.  Adjust it so that it can
# be used in build subdirectories.
INSTALL = $(if $(patsubst /%,,$(firstword config/install-sh -c)),$(top_builddir)/)config/install-sh -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}

host = alphaev67-dec-osf5.1b

ASCIIDOC =  $(top_srcdir)/doc/tools/asciidoc/asciidoc.py
ASCIIDOC_FLAGS = --unsafe
AWK = /usr/bin/nawk
CATALOGS =  af.gmo be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo lt.gmo nl.gmo nb.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sr.gmo sv.gmo tr.gmo uk.gmo
CC = gcc
GIT = 
CONFDIR = /usr/local/etc/elinks
DOXYGEN = 
GLIBC21 = no
GMOFILES =  af.gmo be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo lt.gmo nl.gmo nb.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sr.gmo sv.gmo tr.gmo uk.gmo
GMSGFMT = :
GNUTLS_CFLAGS = 
GUILE_CFLAGS = 
INTLBISON = :
INTLLIBS = @INTLLIBS@
INTLOBJS = @INTLOBJS@
INTL_LIBTOOL_SUFFIX_PREFIX = 
JW = 
LIBDIR = /usr/local/lib
LOCALEDIR = /usr/local/share/locale
LUA_CFLAGS = 
LUA_LIBS = 
MKINSTALLDIRS = $(PATHPREFIX)config/mkinstalldirs
MSGFMT = :
OPENSSL_CFLAGS = -I/usr/local//include
PACKAGE = elinks
PERL_CFLAGS = 
PERL_LIBS = 
POD2HTML = 
PYTHON_CFLAGS = 
PYTHON_LIBS = 
RANLIB = ranlib
RUBY_CFLAGS = 
RUBY_LIBS = 
SPARSE = 
SPIDERMONKEY_CFLAGS = 
SPIDERMONKEY_LIBS = 
TRE_CFLAGS = 
TRE_LIBS = 
VERSION = 0.12pre6.GIT
XMLTO = 
X_CFLAGS = 
XGETTEXT = :

#Warning: this one is not in configure.in so following line will not generate it
CONFIG_NLS = yes

# :r !grep '(CONFIG_[A-Z0-9_]\+[^A-Z0-9_]' configure.in | sed 's/^.*(\(CONFIG_[A-Z0-9_]\+\)[^A-Z0-9_].*$/\1 = @\1@/' | sort | uniq

CONFIG_256_COLORS = no
CONFIG_88_COLORS = no
CONFIG_ASCIIDOC = no
CONFIG_DOXYGEN = 
CONFIG_BACKTRACE = no
CONFIG_BITTORRENT = no
CONFIG_BOOKMARKS = yes
CONFIG_BZIP2 = no
CONFIG_CGI = no
CONFIG_COOKIES = yes
CONFIG_CSS = yes
CONFIG_DATA = yes
CONFIG_DEBUG = no
CONFIG_DOC = no
CONFIG_DOM = no
CONFIG_ECMASCRIPT = no
CONFIG_ECMASCRIPT_SMJS = no
CONFIG_EXMODE = no
CONFIG_FASTMEM = no
CONFIG_FINGER = no
CONFIG_FORMHIST = yes
CONFIG_FSP = no
CONFIG_FTP = yes
CONFIG_GC = no
CONFIG_GLOBHIST = yes
CONFIG_GNUTLS = 
CONFIG_GNUTLS_OPENSSL_COMPAT = no
CONFIG_GOPHER = no
CONFIG_GPM = no
CONFIG_GZIP = no
CONFIG_HTML_HIGHLIGHT = no
CONFIG_IDN = no
CONFIG_INTERLINK = yes
CONFIG_IPV6 = yes
CONFIG_JW = no
CONFIG_LEDS = yes
CONFIG_LZMA = no
CONFIG_MAILCAP = yes
CONFIG_MANUAL = no
CONFIG_MARKS = yes
CONFIG_MIMETYPES = yes
CONFIG_MOUSE = no
CONFIG_NNTP = no
CONFIG_NO_ROOT_EXEC = no
CONFIG_OPENSSL = yes
CONFIG_OS_BEOS = no
CONFIG_OS_OS2 = no
CONFIG_OS_RISCOS = no
CONFIG_OS_UNIX = yes
CONFIG_OS_WIN32 = no
CONFIG_OWN_LIBC = no
CONFIG_POD2HTML = no
CONFIG_SCRIPTING = no
CONFIG_SCRIPTING_GUILE = 
CONFIG_SCRIPTING_LUA = 
CONFIG_SCRIPTING_PERL = 
CONFIG_SCRIPTING_PYTHON = 
CONFIG_SCRIPTING_RUBY = no
CONFIG_SCRIPTING_SPIDERMONKEY = no
CONFIG_SMALL = no
CONFIG_SMB = no
CONFIG_SPIDERMONKEY = no
CONFIG_SSL = yes
CONFIG_SYSMOUSE = no
CONFIG_TRUE_COLOR = no
CONFIG_URI_REWRITE = yes
CONFIG_UTF8 = yes
CONFIG_XBEL_BOOKMARKS = no
CONFIG_XMLTO = no
CONFIG_GSSAPI = 

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2 -Wall -fno-strict-aliasing -Wno-pointer-sign -Wno-address -fno-strict-overflow
CPPFLAGS =  -I/usr/local//include
LDFLAGS = -rdynamic 
LIBS = -lX11 -L/usr/local//lib -lssl -lcrypto  -liconv


INCLUDES = -I$(top_builddir) -I$(top_srcdir)/src

COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)

MAKE_COLOR = 1

LIB_O_NAME = lib.o

# Reverse a CONFIG_* string
# Usage $(call not,$(CONFIG_FOO))
not = $(if $(findstring yes,$(1)),no,yes)

### This is here because Makefile.config is usually the first thing
### we get and sometimes the all rule can be implicit, yet we want
### it always as the default one. So this should make sure it always
### comes first.
all:

